API ReferenceChat API
Get Message
Retrieves the [Message](#schema_message) object for a valid identifier.
Path Parameters
id*string
Id of the Message
Header Parameters
x-bot-id*string
Bot id
x-integration-id?string
Integration id
x-integration-alias?string
Integration alias
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/chat/messages/string" \ -H "x-bot-id: string"{ "message": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "direction": "incoming", "userId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "tags": { "property1": "string", "property2": "string" }, "origin": "synthetic" }}{ "message": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "direction": "incoming", "userId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "tags": { "property1": "string", "property2": "string" }, "origin": "synthetic" }}Get Event GET
Retrieves the [Event](#schema_event) object for a valid identifiers.
Get Or Create Conversation POST
Retrieves the [Conversation](#schema_conversation) object containing given tags. If the conversation does not exist, it will be created. Tags will be updated if they are set in the request body.